Bug 237333 - Review Request: perl-Crypt-OpenSSL-DSA -- Perl OpenSSL bindings for DSA support
Review Request: perl-Crypt-OpenSSL-DSA -- Perl OpenSSL bindings for DSA support
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: perl-Net-DNS-SEC
  Show dependency treegraph
 
Reported: 2007-04-20 16:35 EDT by Wes Hardaker
Modified: 2015-04-20 11:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 16:23:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-04-20 16:35:04 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-DSA.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-DSA.spec
Description:  A Perl wrapper around OpenSSL's DSA cryptography library.

(I don't currently have a sponsor, although there are other packages
I've submitted as well tagged as needing a sponsor as well).
Comment 1 Bernard Johnson 2007-04-30 13:14:33 EDT
Please post SRPM.
Comment 3 Wes Hardaker 2007-05-08 16:57:59 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-DSA.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-DSA-0.13-2.src.rpm

- Add BuildRequire openssl-devel
- Don't manually require openssl
- Use vendorarch instead of vendorlib
Comment 4 Jason Tibbitts 2007-05-10 01:22:42 EDT
Source0: URL is incorrect; should be
http://search.cpan.org/CPAN/authors/id/T/TJ/TJMATHER/Crypt-OpenSSL-DSA-%{version}.tar.gz
I find it useful to run spectool -g just to make sure that the Source URLs in
the spec can be fetched without error.

Blah BuildRequires: perl(ExtUtils::MakeMaker) blah.  Annoying, isn't it?  But as
soon as F7 branches, perl will lose the perl-devel dependency things packages
that don't pull in all of their build-time requirements will break, so we're
trying to catch them all in review and prevent pain later.  And again I'm not
sure whether you'll need perl(Test) or not.

You get better test coverage if you have a build-time dependency on
perl(Digest::SHA1).  The package itself doesn't use it, but one of the tests does.

* source files match upstream:
   f786a76441106a6ce3de4d153bddd3fc0a8a90657b2cb6778aa362e4e7d66cef  
   Crypt-OpenSSL-DSA-0.13.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
X BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   DSA.so()(64bit)
   perl(Crypt::OpenSSL::DSA) = 0.13
   perl-Crypt-OpenSSL-DSA = 0.13-2.fc7
  =
   libcrypto.so.6()(64bit)
   libssl.so.6()(64bit)
   perl(:MODULE_COMPAT_5.8.8)
   perl(DynaLoader)
   perl(strict)
   perl(vars)
   perl(warnings)

* %check is present and all tests pass:
   (with a build dependency on Digest::SHA1 added)
   All tests successful.
   Files=3, Tests=115,  1 wallclock secs ( 0.62 cusr +  0.18 csys =  0.80 CPU)

* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.
Comment 5 Wes Hardaker 2007-05-14 18:00:19 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-DSA.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-DSA-0.13-3.src.rpm

- BuildRequire perl(Test) perl(ExtUtils::MakeMaker) perl(Digest::SHA1)
  and perl(File::Temp)
- Fixed source code URL

(sorry for the delay on a response; I was out of town at the end of last week)\

There was a number of other modules in some of the packages (including this one)
that the test system requires.  It's unclear what the policy is on these (like
File::Temp).  So...  I've added the other needed module as well.
Comment 6 Jason Tibbitts 2007-05-15 14:22:39 EDT
I was out of town over the weekend as well, so no worries.

Unfortunately it's not really clear just what is going to be split out of the
main Perl package.  It may end up that all core modules are split out; this
would make it a simple matter to update them separately and all packages should
already have all of the runtime dependencies sorted anyway.  But the build-time
dependencies would have to be added manually.

Currently, all I know is that perl(CPAN), perl(ExtUtils::Embed),
perl(ExtUtils::MakeMaker), perl(Test::Harness), perl(Test::Simple) and
perl(Test::More) are split out as of F7, but the base perl package contains a
dependency on them so that all Perl packages don't break.  This will go away
immediately after F7 branches.  I don't know if perl(Test) is being split;
currently it isn't but I suppose it should be given the other modules that are
split.  I don't think anything else is being split at this time, although
certainly adding those dependencies doesn't actually hurt anything and I'm not
going to block because of them.

So we're good at this point; go ahead and apply for sponsorship and I'll take
care of that.  Once that's done, you'll be able to set the fedora-cvs flag and
get your packages checked in and built.
Comment 7 Wes Hardaker 2007-05-16 17:07:25 EDT
account created on my side, FYI.

FYI, the wiki instructions still say to use "cvsextras"
(http://fedoraproject.org/wiki/PackageMaintainers/Join step 4) which is a bit
confusing post merge.  I assumed that was still the proper thing to do, but
either way I'd change the text of the instructions to say it's still the correct
process even post merge.
Comment 8 Jason Tibbitts 2007-05-16 17:11:03 EDT
Sponsorship should be done now, but it may take an hour or so to propagate.

The group is still cvsextras but will be renamed soon.
Comment 9 Wes Hardaker 2007-05-22 12:36:03 EDT
New Package CVS Request
=======================
Package Name: perl-Crypt-OpenSSL-DSA
Short Description: Perl OpenSSL bindings for DSA support
Owners: wjhns174@hardakers.net
Branches: FC-6 F-7
InitialCC: 
Comment 10 Tom "spot" Callaway 2007-05-22 12:48:46 EDT
CVS done.
Comment 11 Wes Hardaker 2010-09-13 14:46:17 EDT
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-DSA
New Branches: el5 el6
Owners: hardaker
Comment 12 Kevin Fenzi 2010-09-14 00:19:58 EDT
Git done (by process-git-requests).
Comment 13 Wes Hardaker 2015-04-20 10:13:34 EDT
Package Change Request
======================
Package Name: perl-Crypt-OpenSSL-DSA
New Branches: el7
Owners: hardaker
Comment 14 Jon Ciesla 2015-04-20 11:47:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.